Bug 675044 - Rebase libvirt-java following the rebase of libvirt
Rebase libvirt-java following the rebase of libvirt
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt-java (Show other bugs)
6.1
Unspecified Unspecified
medium Severity medium
: rc
: 6.1
Assigned To: Daniel Veillard
Virtualization Bugs
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-03 20:52 EST by Daniel Veillard
Modified: 2011-05-19 10:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: libvirt-java-0.4.7-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Libvirt-java is being rebased on 6.1 to match the libvirt rebase and pick the bug fixes done upstream especially the ones in the error handling APIs.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:23:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Veillard 2011-02-03 20:52:29 EST
Description of problem:
libvirt is being rebased in 6.1, and to keep the stack updated, and fix some
serious error handling problems in libvirt-java the cleanest is to rebase
that component too

Version-Release number of selected component (if applicable):
libvirt-java-0.4.6-1.el6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Daniel Veillard 2011-02-03 20:57:33 EST
The upstream release was made by Bryan Kearney yesterday:

 https://www.redhat.com/archives/libvirt-users/2011-February/msg00014.html

Fixing:
- Only throw errors on real errors.
- Remote non thread safe error reporting
- BZ 600819 Incorrect scheduler parameter value passed to native API.

Daniel
Comment 4 Daniel Veillard 2011-02-03 21:33:31 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Libvirt-java is being rebased on 6.1 to math the libvirt rebase and pick the bug fixes done upstream especially
the ones in the error handling APIs.
Comment 5 Siddharth Nagar 2011-02-04 09:55:20 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,2 +1,2 @@
-Libvirt-java is being rebased on 6.1 to math the libvirt rebase and pick the bug fixes done upstream especially
+Libvirt-java is being rebased on 6.1 to match the libvirt rebase and pick the bug fixes done upstream especially
 the ones in the error handling APIs.
Comment 6 Daniel Veillard 2011-02-04 10:05:27 EST
libvirt-java-0.4.7-1.el6 is built into RHEL-6-candidate and should fix the
issue,

Daniel
Comment 8 Cui Chun 2011-02-24 03:29:36 EST
Verified. Passed.

Checked the brewweb (https://brewweb.devel.redhat.com/packageinfo?packageID=15012)

libvirt-java-0.4.7-1.el6 for RHEL-6.1 was built successfully.

The package can be install correctly.
--------------
# rpm -qa|grep libvirt-java
libvirt-java-0.4.7-1.el6.noarch
libvirt-java-javadoc-0.4.7-1.el6.noarch
libvirt-java-devel-0.4.7-1.el6.noarch
Comment 9 errata-xmlrpc 2011-05-19 10:23:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0761.html

Note You need to log in before you can comment on or make changes to this bug.